<?php

namespace App\Classes\Modules\Bookings\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class UpdateBookingInvoiceStatusObject implements DataTransferObject
{

    /** @var int */
    private $id;

    /** @var int */
    private $invoiceStatus;

    /**
     * UpdateBookingInvoiceStatusObject constructor.
     * @param int $id
     * @param int $invoiceStatus
     */
    public function __construct(int $id, int $invoiceStatus)
    {
        $this->id = $id;
        $this->invoiceStatus = $invoiceStatus;
    }

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @return int
     */
    public function getInvoiceStatus(): int
    {
        return $this->invoiceStatus;
    }
}
